package es.us.eii.pfc.jcrbib.utils;

import static es.us.eii.pfc.jcrbib.utils.ConstantsUtils.LOGGERNAME;

import java.io.IOException;

import javax.jcr.Credentials;
import javax.jcr.LoginException;
import javax.jcr.Repository;
import javax.jcr.RepositoryException;
import javax.jcr.Session;

import org.apache.log4j.Logger;

/**
 * 
 * Clase para la obtencin de sesiones
 * 
 *
 */
public class SessionUtils {

	private static Logger log;

	static {
		log = Logger.getLogger(LOGGERNAME);
		log.info("Log activado");
	}

	/**
	 * Obtiene una sesin sobre el repositorio
	 * 
	 * @return
	 */
	public static Session getSession() {
		Session session = null;
		Repository rep = null;
		try {
			log.debug("Obteniendo la sesion...");

			rep = RepositoryUtils.getRepository();
			Credentials cred = CredentialsUtils.getCredentials();
			session = rep.login(cred);

			log.debug("Sesion obtenida con exito");
		} catch (LoginException e) {
			log.error(e);
		} catch (RepositoryException e) {
			log.error(e);
		} catch (IOException e) {
			log.error(e);
		}

		return session;
	}
}
