<%@ page import="es.us.eii.pfc.jcrbib.domain.*"%>
<%@ page import="es.us.eii.pfc.jcrbib.data.*"%>
<%@ page import="java.util.*"%>
<%@ taglib prefix="c" uri="/WEB-INF/tld/c.tld"%>
<c:import url="/WEB-INF/jspf/header.jsp" context="/jcrbib" />

<h2>Insercin de articulos</h2>

<%
			boolean showForm = true;
			String errorForm = "";

			DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.JCR);
			IUserDAO userDAO = factory.getUserDAO();
			IMyArticleDAO myArticleDAO = factory.getMyArticleDAO();

			// Vemos si se han enviado los parmetros de un nuevo artculo
			String sentParam = request.getParameter("sent");
			if (sentParam != null && sentParam.equals("true")) {
				// Atributos obligatorios
				String title = request.getParameter("title");
				if(title==null || title.equals("")){
					showForm = true;
					errorForm = "title";
				}
				String url = request.getParameter("url");
				if(url==null || url.equals("")){
					showForm = true;
					errorForm = "url";
				}
				String user = request.getParameter("user");
				if(user==null || user.equals("")){
					showForm = true;
					errorForm = "user";
				}
				
				int priority = 0;
				String priorityStr = request.getParameter("priority");
				if(priorityStr==null || priorityStr.equals("")){
					showForm = true;
					errorForm = "priority";
				} else {
					priority = Integer.parseInt(priorityStr);
				}
				
				// Atributos opcionales
				SortedSet<String> authors = new TreeSet<String>();
				String authorsParam = request.getParameter("authors");
				if(authorsParam != null) {
					StringTokenizer st = new StringTokenizer(authorsParam,",");
					while(st.hasMoreTokens()){
						authors.add(st.nextToken().trim());
					}
				}
				
				SortedSet<String> tags = new TreeSet<String>();
				String tagsParam = request.getParameter("tags");
				if(tagsParam != null) {
					StringTokenizer st = new StringTokenizer(tagsParam,",");
					while(st.hasMoreTokens()){
						tags.add(st.nextToken().trim());
					}
				}
				
				
				MyArticle art = new MyArticle(title, url, authors, tags, priority);
				
				myArticleDAO.addMyArticle(art, user);
				
				if(errorForm.equals("")){
					showForm = false;
				}
				
				if(showForm == false) {
					if(request.getParameter("extlink")!=null && request.getParameter("extlink").equals("true")){
						response.sendRedirect(url);
					} else {
						response.sendRedirect("/jcrbib/portal/bib/");
					}
				}
			}
			if(showForm == true)	 {
			%>

<p>Complete a continuacin los datos del artculo</p>
<%
	if(!errorForm.equals("")){
		out.print("<p>ERROR: <strong>Campo obligatorio "+errorForm+" vacio</strong></p>");
	}
%>

<div id="formulario">  
	<fieldset><legend>Nuevo artculo</legend>
		<form action="" enctype="multipart/form-data" >
			<input type="hidden" name="sent" value="true" />
			<c:if test="${!empty param.extlink}">
				<input type="hidden" name="extlink" value="true"/>
			</c:if>
			<%
				SortedSet<User> users = userDAO.getUsers();
				pageContext.setAttribute("users", users);
			%>
			<p><label>Usuario</label>
			<select name="user">
			<c:forEach var="user" items="${users}">
				<option value="<c:out value="${user.name}" />">
					<c:out value="${user.name}" />
				</option>
			</c:forEach>
			</select></p>
			
			<p><label>Ttulo del artculo</label> <input
			type="text" name="title" size="50" <%
			String titleParam = request.getParameter("title");
			if(titleParam!=null && !titleParam.equals("")){
				byte [] titleParamBytes = titleParam.getBytes();
				titleParam = new String(titleParamBytes, "UTF-8");
				out.println(" value=\""+titleParam+"\" ");
			}
				%>
			/></p>
			
			<p><label>Url del artculo </label><input
			type="text" name="url" size="50" <%
			String urlParam = request.getParameter("url");
			if(urlParam!=null && !urlParam.equals("")){
				out.println(" value=\""+urlParam+"\" ");
			}
				%>
			 /></p>
			
			<p><label>Prioridad de lectura</label>
			<br />
					<input type="radio" name="priority" value="5" />
					<img src="/jcrbib/portal/img/prioridad5.gif" /><br />
					
					<input type="radio" name="priority" value="4" />
					<img src="/jcrbib/portal/img/prioridad4.gif" /><br />
					
					<input type="radio" name="priority" checked="checked" value="3" />
					<img src="/jcrbib/portal/img/prioridad3.gif" /><br />
					
					<input type="radio" name="priority" value="2" />
					<img src="/jcrbib/portal/img/prioridad2.gif" /><br />
					
					<input type="radio" name="priority" value="1" />
					<img src="/jcrbib/portal/img/prioridad1.gif" />
			</p>
			
			<p><label>Tags (separados por comas) </label>
			<input type="text" name="tags" size="50"  /></p>
			
			<p><label>Autores (separados por
			comas) </label>
			<input type="text" name="authors" size="50" /></p>
		
			<p><input
			type="submit" value="Enviar" /></p>
		</form>
	</fieldset>
</div>
<%}

		%>
<c:import url="/WEB-INF/jspf/footer.jsp" context="/jcrbib" />
