<%--@ page errorPage="/portal/error/error.jsp?from=initUsers.jsp"--%>

<%@ page import="es.us.eii.pfc.jcrbib.domain.*"%>
<%@ page import="es.us.eii.pfc.jcrbib.data.*"%>
<%@ page import="es.us.eii.pfc.jcrbib.utils.*"%>
<%@ page import="java.util.*"%>

<%@ taglib prefix="c" uri="/WEB-INF/tld/c.tld"%>

<% 
	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.JCR);

	IUserDAO userDAO = factory.getUserDAO();
	ITagDAO tagDAO = factory.getTagDAO();
	IMyArticleDAO myArticleDAO = factory.getMyArticleDAO();
	SortedSet<MyArticle> renderArticles = new TreeSet<MyArticle>();
	SortedSet<MyArticle> userArticles = new TreeSet<MyArticle>();
	String userName = request.getParameter("user");
	String tagName = request.getParameter("tag");
	
	if (tagName != null && !tagName.equals("")) {
		if (tagDAO.existsTag(tagName)) {
			// Extraemos los articulos en funcin del usuario
			if (userName!=null && userDAO.existsUser(userName)) {
				userArticles = myArticleDAO.getMyArticles(userName);
			} else {
				SortedSet<User> users = userDAO.getUsers();
				for(User u : users){
					userArticles.addAll(u.getMyArticles());
				}
			}
			// Almacenamos los que tienen la tag solicitada
			for(MyArticle a : userArticles){
				if(a.getTags().contains(tagName)){
					renderArticles.add(a);
				}
			}
			pageContext.setAttribute("renderArticles", renderArticles);
		} else {
			out.println("<h1>ERROR, TAG INVALIDO</h1>");
		}
	} else {
		out.println("<h1>ERROR, TAG NULL o \"\"</h1>");
	}
%>
<c:import url="/WEB-INF/jspf/header.jsp" context="/jcrbib" />

<p class="breadcrumb"><a href="/jcrbib/portal">Inicio </a> &raquo; <a
	href="/jcrbib/portal/bib/">Biblioteca</a> 
	<c:if test="${!empty param.tag}">
			&raquo; <a
			href="/jcrbib/portal/bib/tags/?tag=<c:out value="${param.tag}" />"><c:out
			value="${param.tag}" /></a>
	</c:if>
</p>

<h2>Biblioteca &raquo; Tag <%=tagName%></h2>
<ul class="articlelist">
<c:forEach items="${renderArticles}" var="article" >
			<% MyArticle art = (MyArticle)pageContext.getAttribute("article"); %>
		<li>	
			<%=ShowUtils.verResumenArticulo(art, userName)%> 
		</li>
</c:forEach>
</ul>

<p><a class="backButton" href="/jcrbib/portal/bib/">Volver</a></p>

<c:import url="/WEB-INF/jspf/footer.jsp" context="/jcrbib" />
